Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# TAO::Security::ORBInitializer Class Reference

ORBInitializer that configures CORBA Security features into an ORB. More...

`#include <Security_ORBInitializer.h>`

Inheritance diagram for TAO::Security::ORBInitializer:

[legend]
Collaboration diagram for TAO::Security::ORBInitializer:

[legend]
List of all members.

## Public Member Functions
PortableInterceptor::ORBInitializer Methods.
Methods required by the PortableInterceptor::ORBInitializer interface.
virtual void | pre_init (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | post_init (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Private Member Functions
void | register_policy_factories (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL)
| Register Security policy factories.
## Private Attributes
PortableInterceptor::PolicyFactory_var | policy_factory_

## Detailed Description

ORBInitializer that configures CORBA Security features into an ORB.

This ORBInitializer configures CORBA Security features into an ORB, such as CSIv2, security objects, security policy factories, etc, into an ORB.

## Member Function Documentation

void TAO::Security::ORBInitializer::post_init | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

TAO_BEGIN_VERSIONED_NAMESPACE_DECL void TAO::Security::ORBInitializer::pre_init | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

void TAO::Security::ORBInitializer::register_policy_factories | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL | ) | `[private]`

| Register Security policy factories.

## Member Data Documentation

PortableInterceptor::PolicyFactory_var TAO::Security::ORBInitializer::policy_factory_`[private]`

| PolicyFactory that is used to create all security related policies capable of being created via ORB::create_policy().

The documentation for this class was generated from the following files:

- Security_ORBInitializer.h
- Security_ORBInitializer.cpp